"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.applyAsync = exports.apply = void 0;
const walk_1 = require("../walk");
function apply(target, ...callbacks) {
    walk_1.walk(target, { callbacks: callbacks.map(c => ({ callback: c })) });
}
exports.apply = apply;
function applyAsync(target, ...callbacks) {
    return __awaiter(this, void 0, void 0, function* () {
        yield walk_1.walkAsync(target, { callbacks: callbacks.map(c => ({ callback: c })) });
    });
}
exports.applyAsync = applyAsync;
